debstep

    1.0.12 • Public • Published

    debstep

    Library to control apt(debian, ubuntu, mint default package manager) tasks via nodejs. This library uses native binary apt-pkg library to access apt features.

    Installation

    npm install --save debstep
    

    Usage

    You can get package information for any package version what exist in apt-cache

    import { aptCache } from 'debstep'
    const meta = aptCache.getTagsSync(make)
    
    console.log(meta)
    {
        Package: 'make',
        Version: '4.2.1-1.2',
        'Installed-Size': '384',
        Maintainer: 'Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>',
        Architecture: 'amd64'
    }
    

    Rebuild

    This package is already shipped with some prebuild binaries but if you have some specific environment rebuild will start. Packages libapt-pkg-dev and build-essential required before installation if no precompiled binaries are available.

    sudo apt install build-essential libapt-pkg-dev
    

    JavaScript Style Guide

    Reference

    Table of Contents

    aptCache

    apt-cache representation

    defaultTags

    List of tags used in getTags method defaults

    Type: Array<string>

    getTagsSync

    Extract package meta-information from apt-cache index. Detailed package info

    Parameters

    Examples

    import { aptCache } from 'debstep'
    const meta = aptCache.getTagsSync('vim', ['Installed-Size'], '2:8.1.0875-5')
    console.log('vim installed size', meta['Installed-Size'])
    // #_ vim installed size 2800

    Returns {}?

    getCurrentVersionSync

    Get current package version

    Parameters

    Examples

    import { aptCache } from 'debstep'
    const currentVersion = aptCache.getCurrentVersionSync('vim')
    console.log('current version', currentVersion)
    // #_ current version 2:8.1.0875-4

    Returns string?

    getCandidateVersionSync

    Get latest package version to be upgraded

    Parameters

    Examples

    import { aptCache } from 'debstep'
    const availableVersion = aptCache.getCandidateVersionSync('vim')
    console.log('new version', availableVersion)
    // #_ new version 2:8.1.0875-5

    Returns string?

    hasUpgradesSync

    Check if package has upgrades

    Parameters

    Examples

    import { aptCache } from 'debstep'
    const updateAvailable = aptCache.hasUpgradesSync('vim')
    console.log('vim has a new version to upgrade:', updateAvailable)
    // #_ vim has a new version to upgrade: false

    Returns boolean

    apt

    apt command representation

    update

    apt-update native execution

    • Throws any Not implemented yet

    upgrade

    apt-upgrade native execution

    • Throws any Not implemented yet

    install

    apt-install native execution

    Parameters

    • packageName string

    • Throws any Not implemented yet

    uninstall

    apt-uninstall native execution

    Parameters

    • packageName string

    • Throws any Not implemented yet

    debstep

    Install

    npm i debstep

    DownloadsWeekly Downloads

    17

    Version

    1.0.12

    License

    Apache-2.0

    Unpacked Size

    237 kB

    Total Files

    12

    Last publish

    Collaborators

    • avatar